package com.ruoyi.hywz.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.hywz.entity.AdsMatHyxtStampTaxWarningD;

import java.util.List;

/**
 * <p>
 * 【印花税】预警表 服务类
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-07-17 16:58:32
 */
public interface IAdsMatHyxtStampTaxWarningDService extends IService<AdsMatHyxtStampTaxWarningD> {

    /**
     * 分页查询
     */
    Page<AdsMatHyxtStampTaxWarningD> queryPage(Long pageSize, Long pageNo, AdsMatHyxtStampTaxWarningD param);

    List<AdsMatHyxtStampTaxWarningD> getList(Integer sourceType, String sourceId, Integer status);

    List<AdsMatHyxtStampTaxWarningD> getList(Integer status);

    void batchAddOrUpdate(List<AdsMatHyxtStampTaxWarningD> list);

    void updateBaseDataIsWarning(AdsMatHyxtStampTaxWarningD warningD);

    void clearWarningByData(AdsMatHyxtStampTaxWarningD warningD);

    void clearAll();

    void clearIsDelete();

    void clearWarning();

}
